com.mapinfo.midev.style

## Interface IPointStyle

All Superinterfaces:
  ICopiable, IMultiPass, IStyle, Iterable, Serializable

    public interface IPointStyle
    extends IStyle, IMultiPass

A style for point and multi-point based geometries as well as for text-based labels. An `IPointStyle` is a multipass style that contains zero or more `ISymbols` that the renderer uses to display a point on a map.

### Field Summary

Fields
`static IPointStyle` `NONE` This constant is used to suppress previous symbols in the render when drawing in a multi-pass scenario.

### Method Summary

All Methods Instance Methods Abstract Methods
`BoxBackground` `getBackground()` Returns the background of the `IPointStyle`.
`IPointStyle` `getCopy()` Returns a 'deep', stand-alone copy of this `IStyle`.
`Angle` `getRotation()` Returns the angle of rotation for the point.
`Double` `getXOffset()` Returns the horizontal offset, in pixels.
`Double` `getYOffset()` Returns the vertical offset, in pixels.
`void` `setBackground(BoxBackground background)` Set the background of the `IPointStyle`.
`void` `setRotation(Angle rotation)` Set the angle of rotation.
`void` `setXOffset(Double xOffset)` Set the horizontal offset, in pixels.
`void` `setYOffset(Double yOffset)` Set the vertical offset, in pixels.

### Methods inherited from interface com.mapinfo.midev.style.IMultiPass

`add, add, clear, get, isEmpty, iterator, remove, set, size`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Field Detail

#### NONE

    static final IPointStyle NONE

This constant is used to suppress previous symbols in the render when drawing in a multi-pass scenario. All methods throw `UnsupportedOperationException`.

### Method Detail

#### getXOffset

    Double getXOffset()

Returns the horizontal offset, in pixels.

Returns:
  The horizontal offset, in pixels.

#### setXOffset

    void setXOffset(Double xOffset)

Set the horizontal offset, in pixels.

Parameters:
  `xOffset` - the horizontal offset, in pixels.

#### getYOffset

    Double getYOffset()

Returns the vertical offset, in pixels.

Returns:
  The vertical offset, in pixels.

#### setYOffset

    void setYOffset(Double yOffset)

Set the vertical offset, in pixels.

Parameters:
  `yOffset` - the vertical offset, in pixels.

#### getRotation

    Angle getRotation()

Returns the angle of rotation for the point. May be null.

Returns:
  the angle of rotation for the point.

#### setRotation

    void setRotation(Angle rotation)

Set the angle of rotation.

- A positive value will tilt the baseline counter-clockwise.
- A negative value will tilt the baseline clockwise.

Parameters:
  `rotation` - The angle at which the label should be drawn

#### getCopy

    IPointStyle getCopy()

Description copied from interface: `IStyle`
Returns a 'deep', stand-alone copy of this `IStyle`. Changes to the returned `IStyle` will have no effect on this `IStyle` and vise-versa.

Specified by:
  `getCopy` in interface `ICopiable`
Specified by:
  `getCopy` in interface `IStyle`
Returns:
  a 'deep', stand-alone copy of this `IStyle`.

#### getBackground

    BoxBackground getBackground()

Returns the background of the `IPointStyle`. May be null.

Returns:
  the background of the `IPointStyle`.

#### setBackground

    void setBackground(BoxBackground background)

Set the background of the `IPointStyle`.

Parameters:
  `background` - the background of the `IPointStyle`.